claw::meta::type_list_maker_9< T1, T2, T3, T4, T5, T6, T7, T8, T9 > Struct Template Reference

A type list with nine types, more readable than an imbricated type_list. More...

`#include <type_list.hpp>`

## Public Types

typedef type_list< T1, typename type_list_maker_8< T2, T3, T4, T5, T6, T7, T8, T9 >::result > | result
| The list described by this implementation.

## Detailed Description

template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>
struct claw::meta::type_list_maker_9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >

A type list with nine types, more readable than an imbricated type_list.

Definition at line 229 of file type_list.hpp.

## Member Typedef Documentation

## result

template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

typedef type_list< T1, typename type_list_maker_8 <T2, T3, T4, T5, T6, T7, T8, T9>::result > claw::meta::type_list_maker_9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >::result

The list described by this implementation.

Definition at line 236 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp